"use client";


import { ContentLines } from "@/components/shared/content-lines";
import { Locale } from "@/i18n/routing";
import { useBasicInfo } from "@/servers/data/use-basicinfo";
import { useService } from "@/servers/data/use-service";
import { useLocale, useTranslations } from "next-intl";
import ServicesItems from "./best-selling-carousel";
interface BestSellingContentProps {
	withContent?: boolean;
}

export default function BestSellingContent({
	withContent = true,
}: BestSellingContentProps) {
	const locale = useLocale() as Locale;
	const { texts } = useBasicInfo();
	const t = useTranslations();

	const { services } = useService();

	return (
		<>
			{/* Header with arrows and content */}
			<div className="mb-8 items-center justify-between px-2 lg:px-8">
				{/* Content */}
				<div className="flex flex-col items-center justify-center space-y-6 text-center">
					{withContent && <ContentLines title={t("Our Services")} />}
					<h2 className="text-2xl font-semibold leading-6 text-custom-background-light md:text-[40px] md:font-normal md:leading-[48px]">
						{texts?.our_services_section_title?.[locale]}
					</h2>
					<p className="mx-auto max-w-3xl text-base text-custom-background-light md:text-lg">
						{texts?.our_services_section_description?.[locale]}
					</p>
				</div>
			</div>

			<ServicesItems services={services} />
		</>
	);
}
